%global gem_name rack-mini-profiler

Name: rubygem-%{gem_name}
Version: 0.1.31
Release: 1.2%{?dist}
Summary: Profiles loading speed for rack applications
Group: Development/Languages
License: ASL 2.0
URL: http://miniprofiler.com
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(rack) >= 1.1.3
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Profiling toolkit for Rack applications with Rails integration. Client Side
profiling, DB profiling and Server profiling.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mv %{buildroot}%{gem_instdir}/Ruby/* %{buildroot}%{gem_instdir}
rmdir %{buildroot}%{gem_instdir}/Ruby




%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Sun May 11 2014 Oleg Girko <ol@infoserver.lv> - 0.1.31
- Update to 0.1.31
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 0.1.26
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun 14 2013 Oleg Girko <ol@infoserver.lv> - 0.1.26-1
- Initial package
